PGAGetFitnessType(1)

NAME
PGAGetFitnessType - Returns the type of fitness transformation used.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetFitnessType(ctx)
PGAContext *ctx

LOCATION
fitness.c

EXAMPLE
Example:
PGAContext *ctx;
int fittype;
:
fittype = PGAGetFitnessType(ctx);
switch (fittype) {
case PGA_FITNESS_RAW:
printf("Fitness Type = PGA_FITNESS_RAW);
break;
case PGA_FITNESS_NORMAL:
printf("Fitness Type = PGA_FITNESS_NORMAL);
break;
case PGA_FITNESS_RANKING:
printf("Fitness Type = PGA_FITNESS_RANKING);
break;
}